-- |
-- Module: Captcha
-- Copyright: (c) 2022 Edward Yang
-- License: MIT
--
-- This module exports functions that follow the pvp versioning policies.
module Captcha
  ( module Captcha.Internal.Types,
    module Captcha.Internal.Monad,
    module Captcha.Internal.Monad.Class,
  )
where

import Captcha.Internal.Monad
import Captcha.Internal.Monad.Class
import Captcha.Internal.Types
  ( FunCaptcha,
    HCaptcha,
    HasAction (..),
    HasAddress (..),
    HasApiKey (..),
    HasAuth (..),
    HasBody (..),
    HasCaptchaKey (..),
    HasCaptchaUrl (..),
    HasCookies (..),
    HasDataS (..),
    HasInvisible (..),
    HasMinScore (..),
    HasPassword (..),
    HasPollingInterval (..),
    HasPort (..),
    HasProtocol (..),
    HasProxy (..),
    HasRqData (..),
    HasServiceUrl (..),
    HasTimeoutDuration (..),
    HasUserAgent (..),
    HasUsername (..),
    ImageCaptcha,
    Proxy (..),
    ProxyAuth (..),
    ProxyProtocol (..),
    ReCaptchaV2,
    ReCaptchaV3,
    TextCaptcha,
  )
